Debian Bug report logs - #387875
[PR29206] gcj-dbtool segfauls on hppa-linux and arm-linux

version graph

Package: gij-4.1; Maintainer for gij-4.1 is (unknown);

Reported by: Steve Langasek <vorlon@debian.org>

Date: Sun, 17 Sep 2006 09:03:06 UTC

Severity: important

Tags: fixed-upstream, patch, upstream

Merged with 388505

Found in version gcj-4.1/4.1.1-13

Forwarded to http://gcc.gnu.org/PR29206

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-hppa@lists.debian.org, debian-arm@lists.debian.org, Debian GCC Maintainers <debian-gcc@lists.debian.org>:
Bug#387875; Package gij-4.1. Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
New Bug report received and forwarded. Copy sent to debian-hppa@lists.debian.org, debian-arm@lists.debian.org, Debian GCC Maintainers <debian-gcc@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: submit@bugs.debian.org
Subject: gij-4.1 4.1.1-13: segfault in postinst on hppa and arm
Date: Sun, 17 Sep 2006 01:34:39 -0700
Package: gij-4.1
Version: 4.1.1-13
Severity: grave

The gij-4.1 package fails to install on arm and hppa due to a segfault in
gcj-dbtool-4.1:

Setting up gij-4.1 (4.1.1-13) ...
/var/lib/dpkg/info/gij-4.1.postinst: line 20:  8807 Segmentation fault	gcj-dbtool-4.1 -n /var/lib/gcj-4.1/classmap.db
dpkg: error processing gij-4.1 (--configure):
 subprocess post-installation script returned error exit status 139
dpkg: dependency problems prevent configuration of gij:
 gij depends on gij-4.1 (>= 4.1.1-2); however:
  Package gij-4.1 is not configured yet.

This of course prevents many packages from being able to build on these
architectures; e.g., trang, with build failures shown at 

  http://buildd.debian.org/fetch.php?pkg=trang&arch=arm&ver=20030619-5.1%2Bb1&stamp=1157940816&file=log

and 

  http://buildd.debian.org/fetch.php?pkg=trang&arch=hppa&ver=20030619-5.1%2Bb1&stamp=1158062398&file=log

No other architectures have shown these symptoms; X-Debbugs-Cc set to the
relevant porter lists.

It is particularly important for arm that this be fixed quickly, since arm
is very much not keeping up with java-related packages right now and doesn't
stand much chance of being included in the etch release without rapid
improvement.

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
vorlon@debian.org                                   http://www.debian.org/



Merged 387875 388505. Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Noted your statement that Bug has been forwarded to http://gcc.gnu.org/PR29206. Request was from Matthias Klose <doko@cs.tu-berlin.de> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Matthias Klose <doko@cs.tu-berlin.de> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: upstream Request was from Matthias Klose <doko@cs.tu-berlin.de> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC Maintainers <debian-gcc@lists.debian.org>:
Bug#387875; Package gij-4.1. Full text and rfc822 format available.

Acknowledgement sent to Matthias Klose <doko@cs.tu-berlin.de>:
Extra info received and forwarded to list. Copy sent to Debian GCC Maintainers <debian-gcc@lists.debian.org>. Full text and rfc822 format available.

Message #18 received at 387875@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@cs.tu-berlin.de>
To: 387875@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: gcj-dbtool-4.1 call in postinst segfaults on fresh installs on arm, hppa
Date: Tue, 3 Oct 2006 20:02:25 +0200
severity 387875 important
thanks

there's an ugly workaround in gcj-4.1_4.1.1-15, which just ignores
gcj-dbtool's exit value. If the classmap db cannot be found, then gij
isn't able to use the precompiled java byte-code. Call it a missed
optimization for now.




Severity set to `important' from `grave' Request was from Matthias Klose <doko@cs.tu-berlin.de> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC Maintainers <debian-gcc@lists.debian.org>:
Bug#387875; Package gij-4.1. Full text and rfc822 format available.

Acknowledgement sent to Daniel Jacobowitz <drow@false.org>:
Extra info received and forwarded to list. Copy sent to Debian GCC Maintainers <debian-gcc@lists.debian.org>. Full text and rfc822 format available.

Message #25 received at 387875@bugs.debian.org (full text, mbox):

From: Daniel Jacobowitz <drow@false.org>
To: 387875@bugs.debian.org, 388505@bugs.debian.org, Joey Hess <joeyh@debian.org>, Steve Langasek <vorlon@debian.org>
Subject: Patch for ARM gcj
Date: Wed, 8 Nov 2006 10:51:25 -0500
[Message part 1 (text/plain, inline)]
I've attached a potential fix for this bug.  Riku Voipio tested it for
me and says that the testsuite looks much better now; he said that
gjdoc was run during the binary-all build and tried to use the system's
broken gij, but otherwise things look OK.  I would recommend we include
this patch.  I'm not sure there's any point submitting it upstream
until the ARM libffi bits go; not sure what status on that is.

-- 
Daniel Jacobowitz
CodeSourcery
[fix-arm-gcj.patch (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC Maintainers <debian-gcc@lists.debian.org>:
Bug#387875; Package gij-4.1. Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GCC Maintainers <debian-gcc@lists.debian.org>. Full text and rfc822 format available.

Message #30 received at 387875@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: Daniel Jacobowitz <drow@false.org>
Cc: 387875@bugs.debian.org, 388505@bugs.debian.org, Joey Hess <joeyh@debian.org>
Subject: Re: Patch for ARM gcj
Date: Wed, 8 Nov 2006 22:22:32 -0800
On Wed, Nov 08, 2006 at 10:51:25AM -0500, Daniel Jacobowitz wrote:
> I've attached a potential fix for this bug.  Riku Voipio tested it for
> me and says that the testsuite looks much better now; he said that
> gjdoc was run during the binary-all build and tried to use the system's
> broken gij, but otherwise things look OK.  I would recommend we include
> this patch.  I'm not sure there's any point submitting it upstream
> until the ARM libffi bits go; not sure what status on that is.

Beautiful!  I'll happily grant a freeze exception for this fix, FWIW. :)

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
vorlon@debian.org                                   http://www.debian.org/



Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC Maintainers <debian-gcc@lists.debian.org>:
Bug#387875; Package gij-4.1. Full text and rfc822 format available.

Acknowledgement sent to Riku Voipio <riku.voipio@iki.fi>:
Extra info received and forwarded to list. Copy sent to Debian GCC Maintainers <debian-gcc@lists.debian.org>. Full text and rfc822 format available.

Message #35 received at 387875@bugs.debian.org (full text, mbox):

From: Riku Voipio <riku.voipio@iki.fi>
To: 387875@bugs.debian.org
Cc: drow@false.org, vorlon@debian.org, control@bugs.debian.org
Subject: Re: Patch for ARM gcj
Date: Thu, 9 Nov 2006 19:33:22 +0200
tags 387875 +patch
thanks

Verified that gcj-4.1 builds with this patch, and with patched version
ecj-bootstrap build fine as well.

libjava testsuite status in lates buildd log:

		=== libjava Summary ===

# of expected passes		3045
# of unexpected failures	1875
# of expected failures		4
# of untested testcases		1880

And on my system, with Daniels patch:

        === libjava Summary ===

# of expected passes            6389
# of unexpected failures        225
# of expected failures          12
# of untested testcases         197




Tags added: patch Request was from Riku Voipio <riku.voipio@iki.fi> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC Maintainers <debian-gcc@lists.debian.org>:
Bug#387875; Package gij-4.1. Full text and rfc822 format available.

Acknowledgement sent to Matthias Klose <doko@cs.tu-berlin.de>:
Extra info received and forwarded to list. Copy sent to Debian GCC Maintainers <debian-gcc@lists.debian.org>. Full text and rfc822 format available.

Message #42 received at 387875@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@cs.tu-berlin.de>
To: Riku Voipio <riku.voipio@iki.fi>, 387875@bugs.debian.org
Cc: drow@false.org, vorlon@debian.org
Subject: Re: Bug#387875: Patch for ARM gcj
Date: Thu, 9 Nov 2006 19:59:20 +0100
Riku Voipio writes:
> tags 387875 +patch
> thanks
> 
> Verified that gcj-4.1 builds with this patch, and with patched version
> ecj-bootstrap build fine as well.

just to clarify, could you verify, that packages using gjdoc and ecj
build as well?

thanks, Matthias



Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC Maintainers <debian-gcc@lists.debian.org>:
Bug#387875; Package gij-4.1. Full text and rfc822 format available.

Acknowledgement sent to Daniel Jacobowitz <drow@false.org>:
Extra info received and forwarded to list. Copy sent to Debian GCC Maintainers <debian-gcc@lists.debian.org>. Full text and rfc822 format available.

Message #47 received at 387875@bugs.debian.org (full text, mbox):

From: Daniel Jacobowitz <drow@false.org>
To: Matthias Klose <doko@cs.tu-berlin.de>
Cc: Riku Voipio <riku.voipio@iki.fi>, 387875@bugs.debian.org, vorlon@debian.org
Subject: Re: Bug#387875: Patch for ARM gcj
Date: Fri, 10 Nov 2006 11:41:00 -0500
On Thu, Nov 09, 2006 at 07:59:20PM +0100, Matthias Klose wrote:
> Riku Voipio writes:
> > tags 387875 +patch
> > thanks
> > 
> > Verified that gcj-4.1 builds with this patch, and with patched version
> > ecj-bootstrap build fine as well.
> 
> just to clarify, could you verify, that packages using gjdoc and ecj
> build as well?

He wrote on IRC:

<suihkulokki> drow: apparently installing fails :|
<suihkulokki> installing gjdoc that is
<suihkulokki> Setting up gjdoc (0.7.7-6) ...
<suihkulokki> gcj-dbtool-4.1 succeeded unexpectedly
<suihkulokki> gcj-dbtool-4.1 succeeded unexpectedly
<suihkulokki> java.io.IOException: Invalid argument <<No stacktrace available>>
<suihkulokki> .

Where do we go from here?  If the patch is still an improvement, I'd
suggest including it; I'm not going to have another day to figure out
what's wrong with gjdoc for a while.

-- 
Daniel Jacobowitz
CodeSourcery



Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC Maintainers <debian-gcc@lists.debian.org>:
Bug#387875; Package gij-4.1. Full text and rfc822 format available.

Acknowledgement sent to Matthias Klose <doko@cs.tu-berlin.de>:
Extra info received and forwarded to list. Copy sent to Debian GCC Maintainers <debian-gcc@lists.debian.org>. Full text and rfc822 format available.

Message #52 received at 387875@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@cs.tu-berlin.de>
To: Daniel Jacobowitz <drow@false.org>
Cc: Riku Voipio <riku.voipio@iki.fi>, 387875@bugs.debian.org, vorlon@debian.org, debian-java@lists.debian.org
Subject: Re: Bug#387875: Patch for ARM gcj
Date: Fri, 10 Nov 2006 18:27:25 +0100
Daniel Jacobowitz writes:
> On Thu, Nov 09, 2006 at 07:59:20PM +0100, Matthias Klose wrote:
> > Riku Voipio writes:
> > > tags 387875 +patch
> > > thanks
> > > 
> > > Verified that gcj-4.1 builds with this patch, and with patched version
> > > ecj-bootstrap build fine as well.
> > 
> > just to clarify, could you verify, that packages using gjdoc and ecj
> > build as well?
> 
> He wrote on IRC:
> 
> <suihkulokki> drow: apparently installing fails :|
> <suihkulokki> installing gjdoc that is
> <suihkulokki> Setting up gjdoc (0.7.7-6) ...
> <suihkulokki> gcj-dbtool-4.1 succeeded unexpectedly
> <suihkulokki> gcj-dbtool-4.1 succeeded unexpectedly
> <suihkulokki> java.io.IOException: Invalid argument <<No stacktrace available>>
> <suihkulokki> .
> 
> Where do we go from here?  If the patch is still an improvement, I'd
> suggest including it; I'm not going to have another day to figure out
> what's wrong with gjdoc for a while.

Looks like we are back to a state where basic java programs do work? 
Riku, does a HelloWorld program compiled to native code work?

I'll include the patch with the next upload (maybe today, or else on
Monday).

  Matthias



Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC Maintainers <debian-gcc@lists.debian.org>:
Bug#387875; Package gij-4.1. Full text and rfc822 format available.

Acknowledgement sent to Riku Voipio <riku.voipio@iki.fi>:
Extra info received and forwarded to list. Copy sent to Debian GCC Maintainers <debian-gcc@lists.debian.org>. Full text and rfc822 format available.

Message #57 received at 387875@bugs.debian.org (full text, mbox):

From: Riku Voipio <riku.voipio@iki.fi>
To: Matthias Klose <doko@cs.tu-berlin.de>
Cc: Daniel Jacobowitz <drow@false.org>, 387875@bugs.debian.org, vorlon@debian.org, debian-java@lists.debian.org, wookey@debian.org
Subject: Re: Bug#387875: Patch for ARM gcj
Date: Tue, 14 Nov 2006 14:56:06 +0200
On Fri, Nov 10, 2006 at 06:27:25PM +0100, Matthias Klose wrote:
> > <suihkulokki> drow: apparently installing fails :|
> > <suihkulokki> installing gjdoc that is
> > <suihkulokki> Setting up gjdoc (0.7.7-6) ...
> > <suihkulokki> gcj-dbtool-4.1 succeeded unexpectedly
> > <suihkulokki> gcj-dbtool-4.1 succeeded unexpectedly
> > <suihkulokki> java.io.IOException: Invalid argument <<No stacktrace available>>
> > <suihkulokki> .
> > 
> > Where do we go from here?  If the patch is still an improvement, I'd
> > suggest including it; I'm not going to have another day to figure out
> > what's wrong with gjdoc for a while.

> Looks like we are back to a state where basic java programs do work? 
> Riku, does a HelloWorld program compiled to native code work?

I did not find time to test with hello world yet. but for example 
gcj-dbtool-4.1 (which is native compiled java) works, until it
tries to parse the gjdoc jarfiles.

> I'll include the patch with the next upload (maybe today, or else on
> Monday).

That should be ok, atleast it shouldn't worsen the situation.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC Maintainers <debian-gcc@lists.debian.org>:
Bug#387875; Package gij-4.1. Full text and rfc822 format available.

Acknowledgement sent to Riku Voipio <riku.voipio@iki.fi>:
Extra info received and forwarded to list. Copy sent to Debian GCC Maintainers <debian-gcc@lists.debian.org>. Full text and rfc822 format available.

Message #62 received at 387875@bugs.debian.org (full text, mbox):

From: Riku Voipio <riku.voipio@iki.fi>
To: Matthias Klose <doko@cs.tu-berlin.de>
Cc: Daniel Jacobowitz <drow@false.org>, 387875@bugs.debian.org, vorlon@debian.org, debian-java@lists.debian.org
Subject: Re: Bug#387875: Patch for ARM gcj
Date: Wed, 15 Nov 2006 19:35:39 +0200
On Fri, Nov 10, 2006 at 06:27:25PM +0100, Matthias Klose wrote:
> Looks like we are back to a state where basic java programs do work? 
> Riku, does a HelloWorld program compiled to native code work?

Verified just that hello world compiled to native code worked fine.




Added tag(s) fixed-upstream. Request was from bts-link-upstream@lists.alioth.debian.org to control@bugs.debian.org. (Mon, 12 Nov 2012 16:39:16 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 11:36:47 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.